From 6c10aea96e3e9c432e5749eb1c77bd41adbcec0b Mon Sep 17 00:00:00 2001
From: Mike Walters <mike@flomp.net>
Date: Fri, 14 Apr 2017 20:32:52 +0100
Subject: [PATCH 07/10] Make sure cursors/tuner interactions block canvas
 dragging

Previously this was reordered in 87d52d52742e3aa01ec93f87915dbce8cbe97806
to prevent an issue where the cursors/tuner were blocking normal scrollbar
events but this doesn't seem to be an issue in QGraphicsView so its
events can be handled last.
---
 plotview.cpp | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/plotview.cpp b/plotview.cpp
index 7e0541b..dee4351 100644
--- a/plotview.cpp
+++ b/plotview.cpp
@@ -193,9 +193,6 @@ bool PlotView::viewportEvent(QEvent *event) {
         }
     }
 
-    // Handle parent eveents
-    QGraphicsView::viewportEvent(event);
-
     // Pass mouse events to individual plot objects
     if (event->type() == QEvent::MouseButtonPress ||
         event->type() == QEvent::MouseMove ||
@@ -225,7 +222,9 @@ bool PlotView::viewportEvent(QEvent *event) {
             if (cursors.mouseEvent(event->type(), *mouseEvent))
                 return true;
     }
-    return false;
+
+    // Handle parent eveents
+    return QGraphicsView::viewportEvent(event);
 }
 
 void PlotView::extractSymbols(std::shared_ptr<AbstractSampleSource> src)
-- 
2.11.0

